## org.eclipse.emf.ecore.sdo.impl
Class EPropertyImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.emf.ecore.sdo.impl.EPropertyImpl

All Implemented Interfaces:
  Property, Adapter, Notifier, EObject, InternalEObject, EProperty

    public class EPropertyImpl

extends EObjectImpl
implements EProperty, Adapter

An implementation of the model object 'EProperty'.

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`BasicEObjectImpl.EPropertiesHolder, BasicEObjectImpl.EPropertiesHolderBaseImpl, BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`BasicNotifierImpl.EAdapterList<E extends java.lang.Object & Adapter>`

Nested classes/interfaces inherited from interface org.eclipse.emf.common.notify.Adapter
`Adapter.Internal`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`InternalEObject.EStore`

Field Summary
`protected static boolean` `CONTAINMENT_EDEFAULT` The default value of the '`Containment`' attribute
`protected static java.lang.Object` `DEFAULT_EDEFAULT` The default value of the '`Default`' attribute
`protected static EClass` `ESTRING_TO_STRING_MAP_ENTRY`
`protected EStructuralFeature` `eStructuralFeature` The cached value of the '`EStructural Feature`' reference
`protected static boolean` `MANY_EDEFAULT` The default value of the '`Many`' attribute
`protected static java.lang.String` `NAME_EDEFAULT` The default value of the '`Name`' attribute

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eContainer, eContainerFeatureID, EDELIVER, EDYNAMIC_CLASS, eFlags, ELAST_EOBJECT_FLAG, ELAST_NOTIFIER_FLAG, eProperties, EPROXY`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`protected` `EPropertyImpl()`

Method Summary
`NotificationChain` `eBasicRemoveFromContainerFeature(NotificationChain msgs)`
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`protected EClass` `eStaticClass()`
`void` `eUnset(int featureID)`
`Type` `getContainingType()`
`java.lang.Object` `getDefault()`
`EStructuralFeature` `getEStructuralFeature()`
`java.lang.String` `getName()`
`Notifier` `getTarget()`
`Type` `getType()`
`boolean` `isAdapterForType(java.lang.Object type)`
`boolean` `isContainment()`
`boolean` `isMany()`
`boolean` `isReadOnly()` Returns true if values for this property cannot be modified using the SDO APIs.
`void` `notifyChanged(Notification msg)`
`void` `setEStructuralFeature(EStructuralFeature newEStructuralFeature)`
`void` `setReadOnly(boolean readOnly)`
`void` `setTarget(Notifier newTarget)`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eBasicAdapters, eBasicProperties, eBasicSetContainer, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eIsProxy, eProperties, eSetClass, eSetDeliver, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eHasSettings, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eInverseRemove, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetDirectResource, eSetResource, eSetStore, eSetting, eSettingDelegate, eSettings, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStore, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues, toString`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Field Detail

### NAME_EDEFAULT

    protected static final java.lang.String NAME_EDEFAULT

  The default value of the '`Name`' attribute.

  See Also:
    `getName()`

### MANY_EDEFAULT

    protected static final boolean MANY_EDEFAULT

  The default value of the '`Many`' attribute.

  See Also:
    `isMany()`, Constant Field Values

### CONTAINMENT_EDEFAULT

    protected static final boolean CONTAINMENT_EDEFAULT

  The default value of the '`Containment`' attribute.

  See Also:
    `isContainment()`, Constant Field Values

### DEFAULT_EDEFAULT

    protected static final java.lang.Object DEFAULT_EDEFAULT

  The default value of the '`Default`' attribute.

  See Also:
    `getDefault()`

### eStructuralFeature

    protected EStructuralFeature eStructuralFeature

  The cached value of the '`EStructural Feature`' reference.

  See Also:
    `getEStructuralFeature()`

### ESTRING_TO_STRING_MAP_ENTRY

    protected static final EClass ESTRING_TO_STRING_MAP_ENTRY

Constructor Detail

### EPropertyImpl

    protected EPropertyImpl()

Method Detail

### eStaticClass

    protected EClass eStaticClass()

  Overrides:
    `eStaticClass` in class `EObjectImpl`

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `Property`
  Returns:
    the property name.

### isMany

    public boolean isMany()

  Specified by:
    `isMany` in interface `Property`
  Returns:
    `true` if the property is many-valued.

### isContainment

    public boolean isContainment()

  Specified by:
    `isContainment` in interface `Property`
  Returns:
    `true` if the property is containment.

### getDefault

    public java.lang.Object getDefault()

  Specified by:
    `getDefault` in interface `Property`
  Returns:
    the default value.

### getType

    public Type getType()

  Specified by:
    `getType` in interface `Property`
  Returns:
    the type.

### getContainingType

    public Type getContainingType()

  Specified by:
    `getContainingType` in interface `Property`
  Returns:
    the property's containing type.
  See Also:
    `Type.getProperties()`

### getEStructuralFeature

    public EStructuralFeature getEStructuralFeature()

  Specified by:
    `getEStructuralFeature` in interface `EProperty`
  Returns:
    the value of the 'EStructural Feature' reference.
  See Also:
    `EProperty.setEStructuralFeature(EStructuralFeature)`, `SDOPackage.getEProperty_EStructuralFeature()`

### setEStructuralFeature

    public void setEStructuralFeature(EStructuralFeature newEStructuralFeature)

  Specified by:
    `setEStructuralFeature` in interface `EProperty`
  Parameters:
    `newEStructuralFeature` - the new value of the 'EStructural Feature' reference.
  See Also:
    `EProperty.getEStructuralFeature()`

### eBasicRemoveFromContainerFeature

    public NotificationChain eBasicRemoveFromContainerFeature(NotificationChain msgs)

  Overrides:
    `eBasicRemoveFromContainerFeature` in class `BasicEObjectImpl`

### isAdapterForType

    public boolean isAdapterForType(java.lang.Object type)

  Specified by:
    `isAdapterForType` in interface `Adapter`

### notifyChanged

    public void notifyChanged(Notification msg)

  Specified by:
    `notifyChanged` in interface `Adapter`

### getTarget

    public Notifier getTarget()

  Specified by:
    `getTarget` in interface `Adapter`

### setTarget

    public void setTarget(Notifier newTarget)

  Specified by:
    `setTarget` in interface `Adapter`

### isReadOnly

    public boolean isReadOnly()

  Description copied from interface: `EProperty`
  Returns true if values for this property cannot be modified using the SDO APIs. When true, DataObject.set(Property) throws an exception. Values may change due to other factors, such as services operating on DataObjects.

  Specified by:
    `isReadOnly` in interface `EProperty`
  Returns:
    true if values for this property cannot be modified.

### setReadOnly

    public void setReadOnly(boolean readOnly)

  Specified by:
    `setReadOnly` in interface `EProperty`

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Specified by:
    `eGet` in interface `InternalEObject`
  Overrides:
    `eGet` in class `BasicEObjectImpl`

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Specified by:
    `eSet` in interface `InternalEObject`
  Overrides:
    `eSet` in class `BasicEObjectImpl`

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `InternalEObject`
  Overrides:
    `eUnset` in class `BasicEObjectImpl`

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `InternalEObject`
  Overrides:
    `eIsSet` in class `BasicEObjectImpl`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.